/*
 * $Id: Displayable.java,v 1.1 1998/03/02 19:26:13 vmallet Exp $
 *
 *
 * $Log: Displayable.java,v $
 * Revision 1.1  1998/03/02 19:26:13  vmallet
 * Initial revision
 *
 *
 */

package game;

/**
 * The <code>Displayable</code> interface should be implemented by
 * any class whose instances are to be drawn in the Client gui area.
 * Classes should define both methods <code>display</code> and <code>
 * displayUpdate()</code> to display respectively a full or partial
 * representation of their instances.
 * 
 * @version $Revision: 1.1 $
 * @author  Vincent Mallet (vmallet@enst.fr)
 */
public interface Displayable { 

  /**
   * Draws the whole object in the specified area. This method is called
   * when the object has to be completly redrawn (eg first display of
   * the object). If the object only needs to be partially drawn, then it 
   * should call method <code>displayUpdate()</code>.
   * <br>[CHECK PARAMETERS]
   *
   * @see #displayUpdate
   */  
  //  public void display();

  /**
   * Draws a partial reprentation of the object in the specified area, that
   * is, only parts that changed since last call to <code>display()</code>
   * or <code>displayUpdate()</code>. Object needing to be fully redrawn
   * should call method </code>display()</code>.
   * <br>[CHECK PARAMETERS]
   *
   * @see #display
   */
  //  public void displayUpdate();
  
}
