/*
 * $Id: GameHandler.java,v 1.2 1998/03/11 02:15:15 vmallet Exp $
 *
 *
 * $Log: GameHandler.java,v $
 * Revision 1.2  1998/03/11 02:15:15  vmallet
 * Minor changes. This class should be deleted soon.
 *
 * Revision 1.1  1998/03/02 19:28:20  vmallet
 * Initial revision
 *
 *
 */

package game;

import java.util.*;

/**
 * GameHandler.java [DESCRIBE ME]
 * 
 * @version $Revision: 1.2 $
 * @author  Vincent Mallet (vmallet@enst.fr)
 */
public class GameHandler implements Runnable {

  /**
   * The game actual implementation
   */  
  Game game;


  /**
   * Creates a new GameHandler, based on the code found in
   * the Game object.
   * @param game   the actual game implementation.
   * @param server the server in which the game has been created.
   */
   public GameHandler(Game game, GameServer server) { 
    this.game = game;
    game.setServer(server);
  }  
  
  /**
   * Returns the underlying game object.
   */
  public Game getGame() {
    return game;
  }

  /**
   * Returns the name of the game currently played.
   */  
  public String getGameName() {
    return game.getName();
  }
  
  /**
   * Returns this game maximum number of players
   */  
  public int getMaximumPlayers() {
    return game.getMaximumPlayers();
  }

  /**
   * Returns the number of players playing this game
   */
  public int getPlayerCount() {
    return game.getPlayerCount();
  }

  /**
   * Returns the id of the game.
   */
  public Object getId() {
    return game.getId();
  }
  
  /**
   * Sets the id of the game.
   */
  public void setId(Object id) {
    game.setId(id);
  }


  /**
   * Returns a string representation of the object.
   */
  public String toString() {
    return "(" + getId() + ":" + getGameName() + ")";
  }

 
  /**
   * Runs this GameHandler.
   */  
  public void run() {
    //@@ yeah, run the game here. Terminate when there aint no more player
    //@@ in the list.
  }

}



